<script>
export default {
    props: {
        product: {
            type: Object,
            required: true,
        },
    },
};
</script>

<template>
    <div class="contenedor-item">
        <div class="contenedor-imagen-descr">
            <a :href="product.url">
                <img :src="product.img" class="img-fluid product-carousel-img" alt="Producto" />
            </a>
        </div>
    </div>
</template>

<style lang="scss">
.contenedor-item {
    img {
        border-radius: 5px;
    }
}

.product-carousel-img {
    max-height: 660px;
    max-width: 660px;
}

@media screen and (width <= 600px) {
    .product-carousel-img {
        max-height: 360px;
        max-width: 360px;
    }
}
</style>
